Another wxSQLite3 Installation Question

In this forum you can discuss database related issues which can be wxWidgets related, but also generic in nature.
User avatar
doublemax
Moderator
Moderator
Posts: 14316
Joined: Fri Apr 21, 2006 8:03 pm
Location: $FCE2

Re: Another wxSQLite3 Installation Question

Post by doublemax » Sun Jul 14, 2019 12:27 pm

I tried it and wxSQLite3 can't be build with GCC 5.1.0.

I tried GCC 8.1.0 from https://mingw-w64.org/doku.php/download/mingw-builds
(The installer asks for several options, leave everything as it is).

I managed to build both wxWidgets 3.1.2 and wxSQLite3 with it.
Use the source, Luke!

utelle
Moderator
Moderator
Posts: 898
Joined: Tue Jul 05, 2005 10:00 pm
Location: Cologne, Germany
Contact:

Re: Another wxSQLite3 Installation Question

Post by utelle » Sun Jul 14, 2019 5:39 pm

Slyde wrote:
Sun Jul 14, 2019 10:05 am
I actually have MinGW 8.2.0. But I had to resort to the MinGW 5.1.0 compiler that came with Code::Blocks to compile wxWidgets.
Why? When installing Code::Blocks you can choose between a setup with and a setup without bundled C++ compiler. You should have used the setup without bundled compiler, and then use your already installed version MinGW 8.2.0. There should be no problem compiling wxWidgets with MinGW 8.2.0. Alternatively, you could use the precompiled wxWidgets version for MinGW 8.1.0 and install additionally the 8.1.0 compiler.
Slyde wrote:
Sun Jul 14, 2019 10:05 am
So switching back now to the 8.2.0 compiler isn't going to break anything?
I doubt that you can easily mix binaries produced by version 5.1.0 with those produced by version 8.2.0.

Regards,

Ulrich

utelle
Moderator
Moderator
Posts: 898
Joined: Tue Jul 05, 2005 10:00 pm
Location: Cologne, Germany
Contact:

Re: Another wxSQLite3 Installation Question

Post by utelle » Sun Jul 14, 2019 5:43 pm

doublemax wrote:
Sun Jul 14, 2019 12:27 pm
I tried it and wxSQLite3 can't be build with GCC 5.1.0.
Unfortunately this is true for wxSQLite3 version 4.0.0 and above. The reason is that the SQLite encryption extension uses a Windows system function for generating random numbers, but the definition of that function is missing from the header files coming with TDM gcc 5.1.
doublemax wrote:
Sun Jul 14, 2019 12:27 pm
I tried GCC 8.1.0 from https://mingw-w64.org/doku.php/download/mingw-builds
(The installer asks for several options, leave everything as it is).

I managed to build both wxWidgets 3.1.2 and wxSQLite3 with it.
Using a recent C++ compiler and a recent wxWidgets version is the best option, for sure.

Regards,

Ulrich

Post Reply